Subject: Re: bug#25630: [bug/df] Unicode is not supported on mounted point when I execute "df" command

From: Pádraig Brady <[email-masked]>
Date: Mon, 6 Feb 2017 19:44:44 -0800

On 05/02/17 21:49, Jaeseok Park wrote:
> Hi.
> 
> I'm using coreutils on OSX.
> I have a USB storage which has the name "무제".
> It is Korean characters and it means "NO NAME".
> 
> However, when I execute "df", it shows as below:
> 
> /dev/disk3s1     7563232   2510624   5052608  34% /Volumes/�??�?��??�?�
> 
> It seems not to support Unicode charaters.
> 
> Could you please fix it?

Yes our replacement function in df is simplistic,
and doesn't deal with all encodings. See:
http://git.sv.gnu.org/cgit/coreutils.git/commit/?id=v8.17-51-g3ed70fd

Now the fact that you have both types of replacement chars
� (from mbsalign) and ? (from df),
suggests there is some mismatch in encodings.

What is the value of $LC_ALL and $LANG on your system?
What encoding is the file on disk? I presume some variant of ISO-2022-KR,
though I couldn't correlate that with the above output.
The encoding of the file on disk should be indicated by:
  LC_ALL=C gls --quoting=shell-escape -1 /Volumes

If it was possible to use UTF-8 representation of /Volumes/무제
then it would be displayed without issue.

thanks,
Pádraig